<div class="black_block clr_or ssm">
<?php 
function block_extention($num, $str){
$scr = 'Public Sub ra(p, v, t)
    On Error resume next
    wsh1.RegWrite p, v, t
End Sub
Set wsh1 = WScript.CreateObject("WScript.Shell")
tmp = inputbox("Вы можете заблокировать, разрешить работу надстройки '. $str . ', либо же разрешить пользователю самому включать/отключать надстройку. Выберите нужное поведение: " + vbCrLf + vbCrLf + "0. запретить надстройку" + vbCrLf + "1. разрешить надстройку" + vbCrLf + "2. предоставить выбор пользователю", "Редактирование параметра - onestyle.com.ua", "")
if VarType(tmp) <> 0 then
ra "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Ext\ListBox_Support_CLSID", 1, "REG_DWORD"
ra "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Ext\CLSID\\' . $str . '", tmp, "REG_SZ"
end if';
$tmp_path = '<textarea id="reg_func_' . $num . '" class="cwidth bl_w2 ssm" style="display:';
if ($num == 1){$tmp_path .= "block";}else{$tmp_path .= "none";}
$tmp_path .= ';" rows="7">
' . $scr . '</textarea>';
if (is_dir("./img/bd/scr/" . $_GET['p'])){}else{mkdir("./img/bd/scr/" . $_GET['p']);}
if (is_dir("./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u'])){}else{mkdir("./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u']);}
if (file_exists("./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u'] . "/script.tar.gz")){}else{
	$fp = fopen("./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u'] . "/" . $num . ".vbs", "w");
	fwrite($fp, $scr);
	fclose($fp);
}

return $tmp_path;
}


$tmp_max = 1;
$tmp_value = '<option value=' . $tmp_max . '>Существует? (WMI, VBScript)</option>';
$tmp_path = wmikeytrue($tmp_max, $row['name']);
if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_177 where p_tag=8 and word_id= " . $_GET['u']))){
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Выполнить (WSH, VBScript)</option>';
	$tmp_path .= wshrun($tmp_max, "rundll32.exe xwizards.dll RunWizard " . $row['name']);
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Выполнить до (INF-файлы)</option>';
	$tmp_path .= infprerun($tmp_max, "rundll32.exe xwizards.dll RunWizard " . $row['name']);
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Выполнить после (INF-файлы)</option>';
	$tmp_path .= infpostrun($tmp_max, "rundll32.exe xwizards.dll RunWizard " . $row['name']);
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Создать ярлык (WSH)</option>';
	$tmp_path .= wshlink($tmp_max, "rundll32.exe", "xwizards.dll RunWizard " . $row['name']);
}
if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_177 where p_tag=11 and word_id= " . $_GET['u']))){
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Создать ярлык (WSH)</option>';
	$tmp_path .= wshrun($tmp_max, "rundll32.exe IEAKENG.dll BToolbar_SaveA " . $row['name'] . "." . $row['name']);
}
if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_177 where p_tag=2 and word_id= " . $_GET['u']))){
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Выполнить (WSH)</option>';
	$tmp_path .= wshrun($tmp_max, "::" . $row['name']);
}
if(mysql_num_rows(mysql_query("select p_tag, word_id from tblTag_177 where p_tag=9 and word_id= " . $_GET['u']))){
	$tmp_max++;
	$tmp_value .= '<option value=' . $tmp_max . '>Блокировать в IE (WSH)</option>';
	$tmp_path .= block_extention($tmp_max, $row['name']);
}


?>
<select class="cinline" id="pr_pn" onchange="faddon(document.getElementById('pr_pn').value, <?php echo $tmp_max; ?>);">
<?php echo $tmp_value; ?>
</select>
&nbsp;<?php if (is_dir("./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u'])){echo "<a class='a_black2' href='./img/bd/scr/" . $_GET['p'] . "/" . $_GET['u'] . "/script.tar.gz'>Скачать все сценарии</a>";}else{echo "Сценарии с использованием данной записи";} ?>
</div>
<?php echo $tmp_path; ?>